### Method

# EDataServer SourceMailComposition get_top_signature

since: 3.26

#### Declaration [src]

    EThreeState
    e_source_mail_composition_get_top_signature (
      ESourceMailComposition* extension
    )

#### Description [src]

Returns whether place signature at top when replying or forwarding using the associated account. If no preference is set, the `E_THREE_STATE_INCONSISTENT` is returned.

Available since: 3.26

Gets property | `EDataServer.SourceMailComposition:top-signature`

#### Return value

Type: `EThreeState`

Top signature on reply or forward preference.